### Method

# FwupdPlugin Device load_event

#### Declaration [src]

    FuDeviceEvent*
    fu_device_load_event (
      FuDevice* self,
      const gchar* id,
      GError** error
    )

#### Description [src]

Loads a new event with a specific ID from the device.

Available since: | 2.0.0

#### Parameters

`id` | `const gchar*`
| The event ID, e.g. `usb:AA:AA:06`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuDeviceEvent`
| A `FuDeviceEvent`.
| The data is owned by the instance.
| The return value can be `NULL`.